<?php
/**
 * The Template for displaying all single posts.
 *
 * @package ts-photography
 */

get_header(); ?>

<div class="container">
    <main id="maincontent" role="main" class="middle-align">
    	<?php
        $ts_photography_left_right = get_theme_mod( 'ts_photography_single_post_sidebar_layout','Right Sidebar');
        if($ts_photography_left_right == 'Left Sidebar'){ ?>
            <div class="row">
		    	<div class="col-lg-4 col-md-4"><?php get_sidebar();?></div>
				<div class="col-lg-8 col-md-8" id="content-ts">
					<?php if (get_theme_mod('ts_photography_single_post_breadcrumb',false) != ''){ ?>
                        <div class="bradcrumbs">
                            <?php ts_photography_the_breadcrumb(); ?>
                        </div>
                    <?php }?>
					<?php if ( have_posts() ) :

					while ( have_posts() ) : the_post();
					 	get_template_part( 'template-parts/content-single' ); 
					endwhile;

					else :
					 	get_template_part( 'no-results' );
					endif; 
		            ?>
		       	</div>
		    </div>
	    <?php }else if($ts_photography_left_right == 'Right Sidebar'){ ?>
	        <div class="row">
		       	<div class="col-lg-8 col-md-8" id="content-ts">
		       		<?php if (get_theme_mod('ts_photography_single_post_breadcrumb',false) != ''){ ?>
                        <div class="bradcrumbs">
                            <?php ts_photography_the_breadcrumb(); ?>
                        </div>
                    <?php }?>
					<?php if ( have_posts() ) :

						while ( have_posts() ) : the_post();
						 	get_template_part( 'template-parts/content-single' ); 
						endwhile;

						else :
						 	get_template_part( 'no-results' );
						endif; 
		            ?>
		       	</div>
				<div class="col-lg-4 col-md-4"><?php get_sidebar();?></div>
			</div>
		<?php }else if($ts_photography_left_right == 'One Column'){ ?>
			<div id="content-ts">
					<?php if (get_theme_mod('ts_photography_single_post_breadcrumb',false) != ''){ ?>
                        <div class="bradcrumbs">
                            <?php ts_photography_the_breadcrumb(); ?>
                        </div>
                    <?php }?>
				<?php if ( have_posts() ) :

					while ( have_posts() ) : the_post();
					 	get_template_part( 'template-parts/content-single' ); 
					endwhile;

					else :
					 	get_template_part( 'no-results' );
					endif; 
	            ?>
	       	</div>
	    <?php }else {?>
			<div class="row">
		       	<div class="col-lg-8 col-md-8" id="content-ts">
		       		<?php if (get_theme_mod('ts_photography_single_post_breadcrumb',false) != ''){ ?>
                        <div class="bradcrumbs">
                            <?php ts_photography_the_breadcrumb(); ?>
                        </div>
                    <?php }?>
					<?php if ( have_posts() ) :

						while ( have_posts() ) : the_post();
						 	get_template_part( 'template-parts/content-single' ); 
						endwhile;

						else :
						 	get_template_part( 'no-results' );
						endif; 
		            ?>
		       	</div>
				<div class="col-lg-4 col-md-4"><?php dynamic_sidebar('sidebar-1'); ?></div>
			</div>
		<?php }?>
	    <div class="clearfix"></div>
    </main>
</div>

<?php get_footer(); ?>